=== debian/changelog ===
converseen (0.12.0.1-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 31 Dec 2023 08:57:18 -0800

converseen (0.12.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 21 Dec 2023 22:15:30 +0100
