## converseen 0.12.2.4

=== debian/changelog ===
converseen (0.12.2.4-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 03 Nov 2024 11:16:05 +0100
