=== debian/changelog ===
converseen (0.12.2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 27 Jan 2025 21:00:54 +0100
