=== debian/changelog ===
converseen (0.13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 21 Mar 2025 14:44:21 +0100
