=== debian/changelog ===
converseen (0.13.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 30 Mar 2025 10:00:06 +0200
