=== debian/changelog ===
converseen (0.14.0.0-1) unstable; urgency=medium

  * New upstream release:
    - images are now displayed and converted with the correct orientation
      when Exif orientation data is present,
    - fixed a bug when importing TIF files,
    - updated Russian translation,
    - various bugfixes.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 02 May 2025 18:32:38 +0200
