=== debian/changelog ===
converseen (0.15.0.1-0.1~mx25+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 06 Jul 2025 11:27:36 -0700
