=== debian/changelog ===
converseen (0.15.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 14 Aug 2025 17:28:59 +0200
