## converseen 0.15.0.3

=== debian/changelog ===
converseen (0.15.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 15 Sep 2025 17:37:10 +0200
