=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Build-Depends: debhelper-compat (= 13), qtbase5-dev, qttools5-dev,
  libmagick++-dev, libmagickcore-dev, libmagickwand-dev, imagemagick, cmake
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://converseen.fasterland.net/
 
 Package: converseen
