## converseen 0.15.1.1

=== debian/changelog ===
converseen (0.15.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 19 Nov 2025 22:00:50 +0100
