=== debian/changelog ===
converseen (0.15.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 21 Nov 2025 18:59:38 +0100
