=== debian/changelog ===
converseen (0.15.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 06 Dec 2025 11:23:03 +0100
