## converseen 0.15.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
     cmake_policy(SET CMP0135 NEW)
 endif()
 
-set(CONVERSEEN_VERSION 0.15.1.3)
+set(CONVERSEEN_VERSION 0.15.2.0)
 
 project(
     converseen
@@ -28,6 +28,41 @@
 endif()
 
 find_package(ImageMagick REQUIRED COMPONENTS Magick++ MagickWand MagickCore)
+
+if (APPLE)
+find_library(GS_LIBRARY NAMES gs)
+    if(GS_LIBRARY)
+        get_filename_component(GS_LIB_DIR ${GS_LIBRARY} DIRECTORY)
+        get_filename_component(GS_PREFIX ${GS_LIB_DIR} DIRECTORY)
+
+        file(GLOB GS_VERSION_DIR
+         "${GS_PREFIX}/share/ghostscript/[0-9]*")
+
+        list(GET GS_VERSION_DIR 0 GS_RESOURCE_DIR)
+
+        message(STATUS "Ghostscript resource dir: ${GS_RESOURCE_DIR}")
+
+        install(DIRECTORY "${GS_RESOURCE_DIR}/"
+                DESTINATION "${GUI}.app/Contents/Resources/ghostscript")
+
+        # ImageMagick
+        get_filename_component(IMAGEMAGICK_LIB_DIR
+                       ${ImageMagick_MagickCore_LIBRARY}
+                       DIRECTORY)
+
+        get_filename_component(IMAGEMAGICK_PREFIX
+                            ${IMAGEMAGICK_LIB_DIR}
+                            DIRECTORY)
+
+        message(STATUS "ImageMagick prefix: ${IMAGEMAGICK_PREFIX}")
+
+        set(IMAGEMAGICK_CONFIG_DIR
+            "${IMAGEMAGICK_PREFIX}/etc/ImageMagick-7")
+
+        install(DIRECTORY ${IMAGEMAGICK_CONFIG_DIR}
+                DESTINATION "${GUI}.app/Contents/Resources")
+    endif()
+endif()
 
 set(converseen_SOURCES
     src/main.cpp
@@ -157,7 +192,6 @@
 else()
     add_definitions(
         -Wall
-        -std=c++17
         -fPIC
         -DMAGICKCORE_HDRI_ENABLE=0
         -DMAGICKCORE_QUANTUM_DEPTH=16
@@ -173,13 +207,33 @@
     .
 )
 
-add_executable(${GUI}
-    ${converseen_SOURCES}
-    ${converseen_UIS_H}
-    ${converseen_MOC_SRCS}
-    ${converseen_RESOURCES}
-    $<$<BOOL:${WIN32}>:${app_icon_resource_windows}>
-)
+if(APPLE)
+    set(APP_ICON ${CMAKE_CURRENT_SOURCE_DIR}/res/converseen.icns)
+    set_source_files_properties(${APP_ICON} PROPERTIES
+        MACOSX_PACKAGE_LOCATION "Resources"
+    )
+    
+    set(CMAKE_MACOSX_RPATH ON)
+
+    add_executable(${GUI} MACOSX_BUNDLE
+        ${converseen_SOURCES}
+        ${converseen_UIS_H}
+        ${converseen_MOC_SRCS}
+        ${converseen_RESOURCES}
+        ${APP_ICON}
+    )
+
+    
+else()
+    add_executable(${GUI}
+        ${converseen_SOURCES}
+        ${converseen_UIS_H}
+        ${converseen_MOC_SRCS}
+        ${converseen_RESOURCES}
+        $<$<BOOL:${WIN32}>:${app_icon_resource_windows}>
+    )
+endif()
+
 
 if (USE_QT6)
     target_link_libraries(${GUI}
@@ -233,6 +287,14 @@
         string(REGEX REPLACE ".ts" ".qm" QM_FILE ${TS_FILE})
         install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${QM_FILE} DESTINATION ${CMAKE_INSTALL_BINDIR}/loc)
     endforeach()
+
+
+elseif(APPLE)
+
+    install(TARGETS ${GUI}
+            BUNDLE DESTINATION .
+            RUNTIME DESTINATION bin)
+
 else()
     install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${GUI} DESTINATION ${CMAKE_INSTALL_BINDIR})
     install(FILES res/net.fasterland.converseen.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
@@ -259,7 +321,7 @@
     set(CPACK_PACKAGE_VENDOR "Francesco Mondello")
     set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Converseen the Batch Image Converter and Resizer")
     set(CPACK_PACKAGE_VERSION ${PROJECT_VERSION})
-    set(CPACK_PACKAGE_HOMEPAGE_URL "https:/converseen.fasterland.net")
+    set(CPACK_PACKAGE_HOMEPAGE_URL "https://converseen.fasterland.net")
     set(CPACK_PACKAGE_CONTACT "Contact Author <faster3ck@gmail.net>")
     set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/COPYING.txt")
     set(CPACK_GENERATOR WIX ZIP)
@@ -282,8 +344,9 @@
     set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
     set(CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/COPYING.txt")
 
-    set(CPACK_WIX_PRODUCT_GUID "B35C58D3-FBD2-4A81-8371-588F51000032")
+    set(CPACK_WIX_PRODUCT_GUID "B35C58D3-FBD2-4A81-8371-588F51000033")
     set(CPACK_WIX_UPGRADE_GUID "B35C58D3-FBD2-4A81-8371-588F51EC180F")
 
     include(CPack)
 endif()
+
